Opened 6 years ago

Closed 6 years ago

#11927 closed Bug Report - Crash (Invalid)

master backend segfaults every morning

Reported by: skd5aner <skd5aner@…> Owned by:
Priority: blocker Milestone: 0.27.1
Component: MythTV - General Version: 0.27-fixes
Severity: high Keywords:
Cc: Ticket locked: no

Description

mythbackend is segfaulting daily, usually very early in the morning. I have a master backend and a slave backend/frontend. Per the advice of stuartm on IRC, I've captured the logs with -v network, socket and loglevel=debug. These have made for some HUGE log files - I will attempt to provide them somehow shortly.

Running: v0.27-56-g29eab51

On 10/26, the last several lines for the master backend log are:

2013-10-26 09:02:58.957866 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:58.962670 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:58.963144 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:58.963990 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 1       7
2013-10-26 09:02:58.964464 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:58.968916 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:58.969291 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:58.970016 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 1       7
2013-10-26 09:02:58.970401 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:58.975759 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:58.976068 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:58.976789 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 1       7
2013-10-26 09:02:58.977128 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:58.981319 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:58.981561 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:58.982144 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 1       7
2013-10-26 09:02:58.982396 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:58.986643 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:58.986879 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:58.987443 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 1       7
2013-10-26 09:02:58.987990 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:58.994306 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:58.994684 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:58.995365 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 1       7
2013-10-26 09:02:58.995858 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:59.000589 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:59.000948 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:59.001820 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 1       7
2013-10-26 09:02:59.002240 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:59.006928 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:59.007304 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:59.008006 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 1       7
2013-10-26 09:02:59.008456 I [16824/30827] MythSocketThread(103) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(22c6ef0:103): write -> 103 602     QUERY_REMOTEENCODER 21[]:[]START_RECORDING[]:[]At Midnight[]:[]James Adomian; June Diane Raphael; Mike Lawrence[]:[]James Adomian; June Diane Raphael; Mike Lawrence.[]:[]0[]:[]0[]:[]103[]:[]Comedy[]:[]5170[]:[]1170[]:[]CCHD[]:[]Comedy Central HD[]:[]/mythtv/recordings/area2/TVRecordings[]:[]0[]:[]1382792580[]:[]1382794440[]:[]0[]:[]raptor[]:[]4[]:[]21[]:[]18[]:[]0[]:[]-1[]:[]1821[]:[]4[]:[]15[]:[]6[]:[]1382792580[]:[]1382794440[]:[]0[]:[]Default[]:[][]:[]EP01799535[]:[]EP017995350003[]:[][]:[]1382790768[]:[]0[]:[]2013-10-23[]:[]Default[]:[]0[]:[]0[]:[]Default[]:[]0[]:[]33[]:[]0[]:[]0[]:[]0[]:[]0
2013-10-26 09:03:02.037766 I [16824/30827] MythSocketThread(103) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(22c6ef0:103): read  <- 103 83      BACKEND_MESSAGE[]:[]UPDATE_FILE_SIZE 5170 2013-10-26T12:32:00Z 2293505060[]:[]empty
2013-10-26 09:03:02.037948 I [16824/16888] Scheduler mythcorecontext.cpp:1221 (dispatch) - MythEvent: UPDATE_FILE_SIZE 5170 2013-10-26T12:32:00Z 2293505060
2013-10-26 09:03:02.038340 I [16824/16941] MythSocketThread(110) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a9f9a0:110): write -> 110 83      BACKEND_MESSAGE[]:[]UPDATE_FILE_SIZE 5170 2013-10-26T12:32:00Z 2293505060[]:[]empty
2013-10-26 09:03:02.038641 I [16824/16944] MythSocketThread(114) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1aa30d0:114): write -> 114 83      BACKEND_MESSAGE[]:[]UPDATE_FILE_SIZE 5170 2013-10-26T12:32:00Z 2293505060[]:[]empty
2013-10-26 09:03:02.038854 I [16824/31146] MythSocketThread(106) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(260db10:106): write -> 106 83      BACKEND_MESSAGE[]:[]UPDATE_FILE_SIZE 5170 2013-10-26T12:32:00Z 2293505060[]:[]empty
2013-10-26 09:03:05.983944 D [16824/16833] SSDP msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 98
2013-10-26 09:03:06.195168 D [16824/16834] TaskQueue msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 100
2013-10-26 09:03:06.301064 D [16824/16833] SSDP msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 98
2013-10-26 09:03:06.361892 D [16824/16833] SSDP msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 98
2013-10-26 09:03:06.493956 D [16824/16834] TaskQueue msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 98
2013-10-26 09:03:06.705112 D [16824/16833] SSDP msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 98
2013-10-26 09:03:06.826679 D [16824/16834] TaskQueue msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 98
2013-10-26 09:03:07.018486 D [16824/16833] SSDP msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 100
2013-10-26 09:03:07.140571 D [16824/16834] TaskQueue msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 100
2013-10-26 09:03:07.252260 D [16824/16833] SSDP msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 98
2013-10-26 09:03:07.458214 D [16824/16834] TaskQueue msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 98
2013-10-26 09:03:07.649928 D [16824/16834] TaskQueue msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 98
2013-10-26 09:03:09.059932 E [16824/30827] MythSocketThread(103) mythsocket.cpp:790 (ReadStringListReal) - MythSocket(22c6ef0:103): ReadStringList: Error, timed out after 7000 ms.
2013-10-26 09:03:09.059963 D [16824/30827] MythSocketThread(103) mythsocket.cpp:265 (AboutToCloseHandler) - MythSocket(22c6ef0:103): AboutToClose
2013-10-26 09:03:09.060129 D [16824/30827] MythSocketThread(103) mythsocket.cpp:258 (DisconnectHandler) - MythSocket(22c6ef0:-1): calling m_callback->connectionClosed()
2013-10-26 09:03:09.060152 E [16824/30827] MythSocketThread(103) mainserver.cpp:5805 (connectionClosed) - Slave backend: raptor no longer connected
2013-10-26 09:03:09.060192 I [16824/30827] MythSocketThread(103) mythcorecontext.cpp:1221 (dispatch) - MythEvent: LOCAL_SLAVE_BACKEND_OFFLINE raptor
2013-10-26 09:03:09.060239 I [16824/30827] MythSocketThread(103) mythcorecontext.cpp:1221 (dispatch) - MythEvent: RECORDING_LIST_CHANGE
2013-10-26 09:03:09.060281 I [16824/30827] MythSocketThread(103) mythcorecontext.cpp:1221 (dispatch) - MythEvent: SYSTEM_EVENT SLAVE_DISCONNECTED HOSTNAME raptor SENDER hercules
2013-10-26 09:03:09.060363 I [16824/30827] MythSocketThread(103) mythcorecontext.cpp:1221 (dispatch) - MythEvent: LOCAL_SLAVE_BACKEND_ENCODERS_OFFLINE
2013-10-26 09:03:09.060596 I [16824/16941] MythSocketThread(110) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a9f9a0:110): write -> 110 51      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE[]:[]empty
2013-10-26 09:03:09.060879 I [16824/16944] MythSocketThread(114) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1aa30d0:114): write -> 114 51      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE[]:[]empty
2013-10-26 09:03:09.061156 I [16824/31146] MythSocketThread(106) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(260db10:106): write -> 106 51      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE[]:[]empty
2013-10-26 09:03:09.061591 I [16824/16941] MythSocketThread(110) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a9f9a0:110): write -> 110 93      BACKEND_MESSAGE[]:[]SYSTEM_EVENT SLAVE_DISCONNECTED HOSTNAME raptor SENDER hercules[]:[]empty
2013-10-26 09:03:09.062069 I [16824/16824] CoreContext recordinginfo.cpp:1133 (AddHistory) - AddHistory: -4/-2, 0, 0, 2013-10-26T12:32:00Z/At Midnight
2013-10-26 09:03:09.562773 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.563164 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 35      QUERY_REMOTEENCODER 1[]:[]GET_STATE
2013-10-26 09:03:09.563565 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.564074 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.564483 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 35      QUERY_REMOTEENCODER 2[]:[]GET_STATE
2013-10-26 09:03:09.564733 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.565894 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.566362 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 35      QUERY_REMOTEENCODER 3[]:[]GET_STATE
2013-10-26 09:03:09.566604 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.567179 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.567489 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 35      QUERY_REMOTEENCODER 4[]:[]GET_STATE
2013-10-26 09:03:09.567767 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.568334 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.568764 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 35      QUERY_REMOTEENCODER 5[]:[]GET_STATE
2013-10-26 09:03:09.569058 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.569586 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.569895 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 35      QUERY_REMOTEENCODER 6[]:[]GET_STATE
2013-10-26 09:03:09.570139 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.570780 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.571104 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 35      QUERY_REMOTEENCODER 7[]:[]GET_STATE
2013-10-26 09:03:09.571351 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.571913 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.572220 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 35      QUERY_REMOTEENCODER 8[]:[]GET_STATE
2013-10-26 09:03:09.572561 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.573084 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.573387 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 35      QUERY_REMOTEENCODER 9[]:[]GET_STATE
2013-10-26 09:03:09.573624 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.574158 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.574461 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 36      QUERY_REMOTEENCODER 10[]:[]GET_STATE
2013-10-26 09:03:09.574841 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.575412 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.575812 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 36      QUERY_REMOTEENCODER 11[]:[]GET_STATE
2013-10-26 09:03:09.576057 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.576622 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.576930 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 36      QUERY_REMOTEENCODER 12[]:[]GET_STATE
2013-10-26 09:03:09.577164 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.577686 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.577993 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 36      QUERY_REMOTEENCODER 13[]:[]GET_STATE
2013-10-26 09:03:09.578238 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.578792 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.579096 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 36      QUERY_REMOTEENCODER 15[]:[]GET_STATE
2013-10-26 09:03:09.579342 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.579903 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.580211 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 36      QUERY_REMOTEENCODER 17[]:[]GET_STATE
2013-10-26 09:03:09.580455 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.581143 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.581444 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 36      QUERY_REMOTEENCODER 19[]:[]GET_STATE
2013-10-26 09:03:09.581706 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.582285 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.582584 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 36      QUERY_REMOTEENCODER 20[]:[]GET_STATE
2013-10-26 09:03:09.582830 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 1       0
2013-10-26 09:03:09.583539 D [16824/16940] MythSocketThread(108) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1a8cd30:108): calling m_callback->readyRead()
2013-10-26 09:03:09.583860 I [16824/16940] MythSocketThread(108) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1a8cd30:108): read  <- 108 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:03:09.584096 I [16824/16940] MythSocketThread(108) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1a8cd30:108): write -> 108 2       -1

The log from the slave backend in the same approx timeframe on 10/26:

2013-10-26 09:02:58.979726 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1f69270:60): read  <- 60 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:58.983112 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1f69270:60): write -> 60 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:58.983973 D [26067/28427] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1f69270:60): calling m_callback->readyRead()
2013-10-26 09:02:58.984071 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1f69270:60): read  <- 60 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:58.984120 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1f69270:60): write -> 60 1       7
2013-10-26 09:02:58.984788 D [26067/28427] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1f69270:60): calling m_callback->readyRead()
2013-10-26 09:02:58.984857 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1f69270:60): read  <- 60 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:58.988435 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1f69270:60): write -> 60 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:58.989294 D [26067/28427] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1f69270:60): calling m_callback->readyRead()
2013-10-26 09:02:58.989366 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1f69270:60): read  <- 60 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:58.989412 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1f69270:60): write -> 60 1       7
2013-10-26 09:02:58.990399 D [26067/28427] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1f69270:60): calling m_callback->readyRead()
2013-10-26 09:02:58.990469 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1f69270:60): read  <- 60 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:58.995960 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1f69270:60): write -> 60 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:58.997126 D [26067/28427] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1f69270:60): calling m_callback->readyRead()
2013-10-26 09:02:58.997202 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1f69270:60): read  <- 60 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:58.997250 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1f69270:60): write -> 60 1       7
2013-10-26 09:02:58.998264 D [26067/28427] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1f69270:60): calling m_callback->readyRead()
2013-10-26 09:02:58.998337 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1f69270:60): read  <- 60 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:59.002445 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1f69270:60): write -> 60 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:59.003386 D [26067/28427] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1f69270:60): calling m_callback->readyRead()
2013-10-26 09:02:59.003455 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1f69270:60): read  <- 60 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:59.003499 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1f69270:60): write -> 60 1       7
2013-10-26 09:02:59.004655 D [26067/28427] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1f69270:60): calling m_callback->readyRead()
2013-10-26 09:02:59.004722 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1f69270:60): read  <- 60 40      QUERY_REMOTEENCODER 21[]:[]IS_BUSY[]:[]5
2013-10-26 09:02:59.008598 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1f69270:60): write -> 60 57      1[]:[]Component[]:[]4[]:[]18[]:[]21[]:[]0[]:[]21[]:[]5170
2013-10-26 09:02:59.009736 D [26067/28427] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1f69270:60): calling m_callback->readyRead()
2013-10-26 09:02:59.009806 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1f69270:60): read  <- 60 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-26 09:02:59.009850 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1f69270:60): write -> 60 1       7
2013-10-26 09:02:59.011045 D [26067/28427] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(1f69270:60): calling m_callback->readyRead()
2013-10-26 09:02:59.011124 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(1f69270:60): read  <- 60 602     QUERY_REMOTEENCODER 21[]:[]START_RECORDING[]:[]At Midnight[]:[]James Adomian; June Diane Raphael; Mike Lawrence[]:[]James Adomian; June Diane Raphael; Mike Lawrence.[]:[]0[]:[]0[]:[]103[]:[]Comedy[]:[]5170[]:[]1170[]:[]CCHD[]:[]Comedy Central HD[]:[]/mythtv/recordings/area2/TVRecordings[]:[]0[]:[]1382792580[]:[]1382794440[]:[]0[]:[]raptor[]:[]4[]:[]21[]:[]18[]:[]0[]:[]-1[]:[]1821[]:[]4[]:[]15[]:[]6[]:[]1382792580[]:[]1382794440[]:[]0[]:[]Default[]:[][]:[]EP01799535[]:[]EP017995350003[]:[][]:[]1382790768[]:[]0[]:[]2013-10-23[]:[]Default[]:[]0[]:[]0[]:[]Default[]:[]0[]:[]33[]:[]0[]:[]0[]:[]0[]:[]0
2013-10-26 09:03:01.989242 E [26067/28499] ProcessRequest mainserver.cpp:1719 (SendResponse) - SendResponse: Unable to write to client socket, as it's no longer there
2013-10-26 09:03:01.989274 I [26067/28499] ProcessRequest mythsocket.cpp:150 (~MythSocket) - MythSocket(208cce0:-1): MythSocket dtor : cb 0x1fa7c40
2013-10-26 09:03:01.989339 I [26067/28510] MythSocketThread(72) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(20a7c00:72): write -> 72 5       54858
2013-10-26 09:03:02.039282 I [26067/28412] ProgramInfoUpdater mythcorecontext.cpp:1221 (dispatch) - MythEvent: UPDATE_FILE_SIZE 5170 2013-10-26T12:32:00Z 2293505060
2013-10-26 09:03:02.039436 I [26067/28427] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(1f69270:60): write -> 60 83      BACKEND_MESSAGE[]:[]UPDATE_FILE_SIZE 5170 2013-10-26T12:32:00Z 2293505060[]:[]empty
2013-10-26 09:03:02.441326 D [26067/28510] MythSocketThread(72) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(20a7c00:72): calling m_callback->readyRead()
2013-10-26 09:03:02.441653 I [26067/28510] MythSocketThread(72) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(20a7c00:72): read  <- 72 40      QUERY_RECORDER 21[]:[]GET_FRAMES_WRITTEN
2013-10-26 09:03:03.044742 I [26067/28412] ProgramInfoUpdater mythcorecontext.cpp:1221 (dispatch) - MythEvent: MASTER_UPDATE_PROG_INFO 5170 2013-10-26T13:03:00Z
2013-10-26 09:03:09.062586 D [26067/28427] MythSocketThread(-1) mythsocket.cpp:240 (ErrorHandler) - MythSocket(1f69270:60): calling m_callback->error() err: The remote host closed the connection
2013-10-26 09:03:09.062639 D [26067/28427] MythSocketThread(-1) mythsocket.cpp:258 (DisconnectHandler) - MythSocket(1f69270:-1): calling m_callback->connectionClosed()
2013-10-26 09:03:09.062665 I [26067/28427] MythSocketThread(-1) mythcorecontext.cpp:1221 (dispatch) - MythEvent: LOCAL_RECONNECT_TO_MASTER
2013-10-26 09:03:09.440836 D [26067/28510] MythSocketThread(72) mythsocket.cpp:240 (ErrorHandler) - MythSocket(20a7c00:72): calling m_callback->error() err: The remote host closed the connection
2013-10-26 09:03:09.440875 D [26067/28510] MythSocketThread(72) mythsocket.cpp:258 (DisconnectHandler) - MythSocket(20a7c00:-1): calling m_callback->connectionClosed()
2013-10-26 09:03:09.440902 I [26067/28510] MythSocketThread(72) mythcorecontext.cpp:1221 (dispatch) - MythEvent: LOCAL_SLAVE_BACKEND_ENCODERS_OFFLINE
2013-10-26 09:03:09.443031 I [26067/26067] CoreContext mythsocket.cpp:92 (MythSocket) - MythSocket(20a14b0:-1): MythSocket(60, 0x1fa7c40) ctor
2013-10-26 09:03:09.443096 D [26067/26067] CoreContext mythsocket.cpp:225 (ConnectHandler) - MythSocket(20a14b0:60): calling m_callback->connected()
2013-10-26 09:03:09.443382 D [26067/28530] MythSocketThread(60) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(20a14b0:60): calling m_callback->readyRead()
2013-10-26 09:03:09.443543 I [26067/28530] MythSocketThread(60) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(20a14b0:60): read  <- 60 30      MYTH_PROTO_VERSION 77 WindMark
2013-10-26 09:03:09.443603 I [26067/28530] MythSocketThread(60) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(20a14b0:60): write -> 60 13      ACCEPT[]:[]77
2013-10-26 09:03:09.444559 D [26067/28530] MythSocketThread(60) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(20a14b0:60): calling m_callback->readyRead()
2013-10-26 09:03:09.444658 I [26067/28530] MythSocketThread(60) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(20a14b0:60): read  <- 60 23      ANN Playback hercules 0
2013-10-26 09:03:09.444691 I [26067/28509] ProcessRequest mainserver.cpp:1420 (HandleAnnounce) - MainServer::ANN Playback
2013-10-26 09:03:09.444709 I [26067/28509] ProcessRequest mainserver.cpp:1422 (HandleAnnounce) - adding: hercules as a client (events: 0)
2013-10-26 09:03:09.444757 I [26067/28530] MythSocketThread(60) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(20a14b0:60): write -> 60 2       OK
2013-10-26 09:03:09.445619 D [26067/28530] MythSocketThread(60) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(20a14b0:60): calling m_callback->readyRead()
2013-10-26 09:03:09.445722 I [26067/28530] MythSocketThread(60) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(20a14b0:60): read  <- 60 40      QUERY_RECORDER 21[]:[]GET_FRAMES_WRITTEN
2013-10-26 09:03:10.062778 I [26067/26067] CoreContext mythsocket.cpp:92 (MythSocket) - MythSocket(1ffd140:-1): MythSocket(-1, 0x1fa7c40) ctor
2013-10-26 09:03:10.062924 N [26067/26067] CoreContext mainserver.cpp:6204 (reconnectTimeout) - Connecting to master server: 192.168.1.200:6543
2013-10-26 09:03:10.063377 I [26067/28531] MythSocketThread(-1) mythsocket.cpp:645 (ConnectToHostReal) - MythSocket(1ffd140:-1): attempting connect() to (192.168.1.200:6543)
2013-10-26 09:03:10.063883 D [26067/28531] MythSocketThread(-1) mythsocket.cpp:225 (ConnectHandler) - MythSocket(1ffd140:83): calling m_callback->connected()
2013-10-26 09:03:10.063907 I [26067/28531] MythSocketThread(-1) mythsocket.cpp:654 (ConnectToHostReal) - MythSocket(1ffd140:83): Connected to (192.168.1.200:6543)
2013-10-26 09:03:10.063932 N [26067/26067] CoreContext mainserver.cpp:6214 (reconnectTimeout) - Connected successfully
2013-10-26 09:03:10.084593 D [26067/28531] MythSocketThread(-1) mythsocket.cpp:240 (ErrorHandler) - MythSocket(1ffd140:83): calling m_callback->error() err: The remote host closed the connection
2013-10-26 09:03:10.084624 D [26067/28531] MythSocketThread(-1) mythsocket.cpp:258 (DisconnectHandler) - MythSocket(1ffd140:-1): calling m_callback->connectionClosed()
2013-10-26 09:03:10.084665 W [26067/28531] MythSocketThread(-1) mainserver.cpp:5916 (connectionClosed) - MainServer: Unknown socket closing MythSocket(0x1ffd140)
2013-10-26 09:03:16.446839 D [26067/28530] MythSocketThread(60) mythsocket.cpp:240 (ErrorHandler) - MythSocket(20a14b0:60): calling m_callback->error() err: The remote host closed the connection
2013-10-26 09:03:16.446868 D [26067/28530] MythSocketThread(60) mythsocket.cpp:258 (DisconnectHandler) - MythSocket(20a14b0:-1): calling m_callback->connectionClosed()
2013-10-26 09:03:16.446888 I [26067/28530] MythSocketThread(60) mythcorecontext.cpp:1221 (dispatch) - MythEvent: LOCAL_SLAVE_BACKEND_ENCODERS_OFFLINE
2013-10-26 09:03:33.011134 I [26067/26078] SystemManager mythsystemunix.cpp:776 (Signal) - Child PID 28512 killed with Terminated
2013-10-26 09:03:35.012575 I [26067/26078] SystemManager mythsystemunix.cpp:776 (Signal) - Child PID 28512 killed with Killed
2013-10-26 09:03:35.117456 E [26067/28511] PreviewGenerator previewgenerator.cpp:265 (Run) - Preview: Encountered problems running '/usr/local/bin/mythpreviewgen' (141)
2013-10-26 09:13:01.917278 I [26067/28772] ProgramInfoUpdater mythcorecontext.cpp:1221 (dispatch) - MythEvent: RECORDING_LIST_CHANGE ADD 5170 2013-10-26T13:03:00Z
2013-10-26 09:13:01.952467 I [26067/28501] ProcessRequest mythcorecontext.cpp:1221 (dispatch) - MythEvent: SYSTEM_EVENT REC_STARTED CARDID 21 CHANID 5170 STARTTIME 2013-10-26T13:03:00Z RECSTATUS -1 SENDER raptor
2013-10-26 09:13:05.317441 I [26067/28772] ProgramInfoUpdater mythcorecontext.cpp:1221 (dispatch) - MythEvent: UPDATE_FILE_SIZE 5170 2013-10-26T12:32:00Z 3048971404
2013-10-26 09:13:07.233963 I [26067/28130] RecThread tv_rec.cpp:3393 (RingBufferChanged) - TVRec[21]: RingBufferChanged()
2013-10-26 09:13:07.247979 I [26067/28772] ProgramInfoUpdater mythcorecontext.cpp:1221 (dispatch) - MythEvent: UPDATE_FILE_SIZE 5170 2013-10-26T12:32:00Z 3052446960
2013-10-26 09:13:08.524306 I [26067/28130] RecThread recordinginfo.cpp:1075 (FinishedRecording) - Finished recording At Midnight "Kurt Braunohler; Andy Daly; Brendon Walsh": channel 5170
2013-10-26 09:13:08.524466 I [26067/28130] RecThread mythcorecontext.cpp:1221 (dispatch) - MythEvent: UPDATE_RECORDING_STATUS 21 5170 2013-10-26T12:32:00Z -3 2013-10-26T13:13:07Z
2013-10-26 09:13:08.524578 I [26067/28130] RecThread mythcorecontext.cpp:1221 (dispatch) - MythEvent: SYSTEM_EVENT REC_FINISHED CARDID 21 CHANID 5170 STARTTIME 2013-10-26T12:32:00Z RECSTATUS -3 SENDER raptor
2013-10-26 09:13:08.554346 I [26067/28772] ProgramInfoUpdater mythcorecontext.cpp:1221 (dispatch) - MythEvent: MASTER_UPDATE_PROG_INFO 5170 2013-10-26T12:32:00Z
2013-10-26 09:23:41.783106 D [26067/26076] TaskQueue msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 60
2013-10-26 09:23:42.263600 D [26067/26076] TaskQueue msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 84
2013-10-26 09:53:42.304442 D [26067/26076] TaskQueue msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 60
2013-10-26 09:53:42.755040 D [26067/26076] TaskQueue msocketdevice_unix.cpp:257 (close) - MSocketDevice::close: Closed socket 84

Another log for the master backend on 10/27 ends like this:

2013-10-27 20:59:28.975245 I [1005/1174] MythSocketThread(111) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(2733940:111): read  <- 111 1       0
2013-10-27 20:59:28.978272 I [1005/1174] MythSocketThread(111) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2733940:111): write -> 111 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.978878 I [1005/1174] MythSocketThread(111) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(2733940:111): read  <- 111 1       0
2013-10-27 20:59:28.981456 I [1005/1174] MythSocketThread(111) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2733940:111): write -> 111 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.982023 I [1005/1174] MythSocketThread(111) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(2733940:111): read  <- 111 1       0
2013-10-27 20:59:28.984664 I [1005/1174] MythSocketThread(111) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2733940:111): write -> 111 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.985284 I [1005/1174] MythSocketThread(111) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(2733940:111): read  <- 111 1       0
2013-10-27 20:59:28.987965 I [1005/1174] MythSocketThread(111) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2733940:111): write -> 111 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.988492 I [1005/1174] MythSocketThread(111) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(2733940:111): read  <- 111 1       0
2013-10-27 20:59:28.990954 I [1005/1174] MythSocketThread(111) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2733940:111): write -> 111 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.991572 I [1005/1174] MythSocketThread(111) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(2733940:111): read  <- 111 1       0
2013-10-27 20:59:28.994228 I [1005/1174] MythSocketThread(111) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2733940:111): write -> 111 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.994819 I [1005/1174] MythSocketThread(111) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(2733940:111): read  <- 111 1       0
2013-10-27 20:59:28.997312 I [1005/1174] MythSocketThread(111) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2733940:111): write -> 111 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.997873 I [1005/1174] MythSocketThread(111) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(2733940:111): read  <- 111 1       0
2013-10-27 20:59:29.000504 I [1005/1174] MythSocketThread(111) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2733940:111): write -> 111 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:29.001016 I [1005/1174] MythSocketThread(111) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(2733940:111): read  <- 111 1       0
2013-10-27 20:59:29.002038 I [1005/1044] Scheduler mythcorecontext.cpp:1221 (dispatch) - MythEvent: SYSTEM_EVENT REC_PENDING SECS 30 CARDID 21 CHANID 5138 STARTTIME 2013-10-28T01:00:00Z RECSTATUS -1 SENDER hercules
2013-10-27 20:59:29.003141 I [1005/1055] MythSocketThread(97) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2725e70:97): write -> 97 144     BACKEND_MESSAGE[]:[]SYSTEM_EVENT REC_PENDING SECS 30 CARDID 21 CH...
2013-10-27 20:59:29.004440 I [1005/1174] MythSocketThread(111) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2733940:111): write -> 111 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:29.005049 I [1005/1174] MythSocketThread(111) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(2733940:111): read  <- 111 1       0
2013-10-27 20:59:29.006123 I [1005/1174] MythSocketThread(111) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2733940:111): write -> 111 623     QUERY_REMOTEENCODER 21[]:[]START_RECORDING[]:[]The Walking Dead[...
2013-10-27 20:59:31.331466 I [1005/21965] ProgramInfoUpdater mythcorecontext.cpp:1221 (dispatch) - MythEvent: UPDATE_FILE_SIZE 1231 2013-10-28T00:00:00Z 5445352508
2013-10-27 20:59:31.331864 I [1005/1055] MythSocketThread(97) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2725e70:97): write -> 97 83      BACKEND_MESSAGE[]:[]UPDATE_FILE_SIZE 1231 2013-10-28T00:00:00Z 54...
2013-10-27 20:59:31.332170 I [1005/19523] MythSocketThread(116) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(26fa910:116): write -> 116 83      BACKEND_MESSAGE[]:[]UPDATE_FILE_SIZE 1231 2013-10-28T00:00:00Z 5...
2013-10-27 20:59:31.332421 I [1005/21784] MythSocketThread(130) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(27155a0:130): write -> 130 83      BACKEND_MESSAGE[]:[]UPDATE_FILE_SIZE 1231 2013-10-28T00:00:00Z 5...
2013-10-27 20:59:34.306608 I [1005/1174] MythSocketThread(111) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(2733940:111): read  <- 111 84      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE DELETE 5170 2013-10-24...
2013-10-27 20:59:34.306773 I [1005/1044] Scheduler mythcorecontext.cpp:1221 (dispatch) - MythEvent: RECORDING_LIST_CHANGE DELETE 5170 2013-10-24T22:57:00Z
2013-10-27 20:59:34.307118 I [1005/1055] MythSocketThread(97) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2725e70:97): write -> 97 84      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE DELETE 5170 2013-10-24T...
2013-10-27 20:59:34.307306 I [1005/19523] MythSocketThread(116) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(26fa910:116): write -> 116 84      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE DELETE 5170 2013-10-24...
2013-10-27 20:59:34.307800 I [1005/21784] MythSocketThread(130) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(27155a0:130): write -> 130 84      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE DELETE 5170 2013-10-24...
2013-10-27 20:59:37.288151 I [1005/1053] MythSocketThread(94) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(2713790:94): read  <- 94 35      QUERY_REMOTEENCODER 1[]:[]GET_STATE
2013-10-27 20:59:37.288338 I [1005/1053] MythSocketThread(94) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2713790:94): write -> 94 1       7
2013-10-27 20:59:41.328596 E [1005/1174] MythSocketThread(111) mythsocket.cpp:790 (ReadStringListReal) - MythSocket(2733940:111): ReadStringList: Error, timed out after 7000 ms.
2013-10-27 20:59:41.353043 I [1005/21965] ProgramInfoUpdater mythcorecontext.cpp:1221 (dispatch) - MythEvent: UPDATE_FILE_SIZE 1231 2013-10-28T00:00:00Z 5460388560
2013-10-27 20:59:41.353388 I [1005/1055] MythSocketThread(97) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2725e70:97): write -> 97 83      BACKEND_MESSAGE[]:[]UPDATE_FILE_SIZE 1231 2013-10-28T00:00:00Z 54...
2013-10-27 20:59:41.353632 I [1005/19523] MythSocketThread(116) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(26fa910:116): write -> 116 83      BACKEND_MESSAGE[]:[]UPDATE_FILE_SIZE 1231 2013-10-28T00:00:00Z 5...
2013-10-27 20:59:41.353957 I [1005/21784] MythSocketThread(130) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(27155a0:130): write -> 130 83      BACKEND_MESSAGE[]:[]UPDATE_FILE_SIZE 1231 2013-10-28T00:00:00Z 5...
2013-10-27 20:59:41.399235 E [1005/1174] MythSocketThread(111) mainserver.cpp:5805 (connectionClosed) - Slave backend: raptor no longer connected
2013-10-27 20:59:41.399299 I [1005/1174] MythSocketThread(111) mythcorecontext.cpp:1221 (dispatch) - MythEvent: LOCAL_SLAVE_BACKEND_OFFLINE raptor
2013-10-27 20:59:41.399360 I [1005/1174] MythSocketThread(111) mythcorecontext.cpp:1221 (dispatch) - MythEvent: RECORDING_LIST_CHANGE
2013-10-27 20:59:41.399457 I [1005/1174] MythSocketThread(111) mythcorecontext.cpp:1221 (dispatch) - MythEvent: SYSTEM_EVENT SLAVE_DISCONNECTED HOSTNAME raptor SENDER hercules
2013-10-27 20:59:41.419838 I [1005/1174] MythSocketThread(111) mythcorecontext.cpp:1221 (dispatch) - MythEvent: LOCAL_SLAVE_BACKEND_ENCODERS_OFFLINE
2013-10-27 20:59:41.420044 I [1005/1055] MythSocketThread(97) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2725e70:97): write -> 97 51      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE[]:[]empty
2013-10-27 20:59:41.420270 I [1005/19523] MythSocketThread(116) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(26fa910:116): write -> 116 51      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE[]:[]empty
2013-10-27 20:59:41.420601 I [1005/21784] MythSocketThread(130) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(27155a0:130): write -> 130 51      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE[]:[]empty
2013-10-27 20:59:41.421105 I [1005/1055] MythSocketThread(97) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(2725e70:97): write -> 97 93      BACKEND_MESSAGE[]:[]SYSTEM_EVENT SLAVE_DISCONNECTED HOSTNAME rapt...
2013-10-27 20:59:41.777735 I [1005/1005] CoreContext scheduler.cpp:882 (SlaveDisconnected) - setting 21/ESPNHD/"NASCAR Racing" as aborted
2013-10-27 20:59:41.830530 C [1005/1005] CoreContext signalhandling.cpp:305 (handleSignal) - Received Segmentation fault: Code 1, PID 92, UID 0, Value 0x7f6cad112442
2013-10-27 20:59:42.443840 I [1005/1005] CoreContext mythsocket.cpp:92 (MythSocket) - MythSocket(27e65d0:-1): MythSocket(111, 0x27057c0) ctor
2013-10-27 20:59:42.479633 I [1005/22178] MythSocketThread(111) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(27e65d0:111): read  <- 111 615     ANN SlaveBackend raptor 192.168.1.206[]:[]NASCAR Racing[]:[]Spri...
2013-10-27 20:59:42.479923 I [1005/21365] ProcessRequest mainserver.cpp:1472 (HandleAnnounce) - adding: raptor as a slave backend server

... and the log for the slave backend at the same time on 10/27 looks like this:

2013-10-27 20:59:28.935505 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.935574 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.935619 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.937398 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.937471 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.937516 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.939235 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.939315 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.939359 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.941533 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.941612 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.941659 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.943578 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.943657 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.943715 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.945750 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.945823 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.945869 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.947807 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.947895 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.947943 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.950055 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.950138 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.950187 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.952385 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.952458 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.952503 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.955542 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.955615 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.955671 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.958695 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.958773 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.958819 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.961812 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.961888 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.961934 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.965011 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.965091 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.965138 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.968118 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.968193 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.968239 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.971269 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.971342 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.971387 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.974343 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.974419 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.974466 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.977956 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.978036 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.978085 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.981102 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.981180 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.981226 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.984296 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.984371 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.984417 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.987571 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.987642 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.987693 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.990604 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.990679 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.990725 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.993886 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.993967 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.994014 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:28.996953 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:28.997027 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:28.997072 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:29.000143 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:29.000213 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:29.000258 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:29.004090 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:29.004168 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 36      QUERY_REMOTEENCODER 21[]:[]GET_STATE
2013-10-27 20:59:29.004216 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 1       0
2013-10-27 20:59:29.005798 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:286 (CallReadyReadHandler) - MythSocket(24f0ab0:63): calling m_callback->readyRead()
2013-10-27 20:59:29.005881 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:922 (ReadStringListReal) - MythSocket(24f0ab0:63): read  <- 63 623     QUERY_REMOTEENCODER 21[]:[]START_RECORDING[]:[]The Walking Dead[]:[]Isolation[]:[]A group leaves the prison to search for supplies; the remaining members of the group deal with recent losses.[]:[]0[]:[]0[]:[]403[]:[]Drama[]:[]5138[]:[]1138[]:[]AMCHD[]:[]AMC HD[]:[]/mythtv/recordings/area2/TVRecordings[]:[]0[]:[]1382922000[]:[]1382925660[]:[]0[]:[]raptor[]:[]4[]:[]21[]:[]18[]:[]5[]:[]-1[]:[]1101[]:[]4[]:[]15[]:[]6[]:[]1382921940[]:[]1382925660[]:[]0[]:[]Default[]:[][]:[]EP01324002[]:[]EP013240020054[]:[]153021[]:[]1382918374[]:[]0[]:[]2013-10-27[]:[]Default[]:[]0[]:[]0[]:[]Default[]:[]0[]:[]33[]:[]0[]:[]0[]:[]0[]:[]0
2013-10-27 20:59:34.305474 I [30629/1038] DeleteThread mythcorecontext.cpp:1221 (dispatch) - MythEvent: RECORDING_LIST_CHANGE DELETE 5170 2013-10-24T22:57:00Z
2013-10-27 20:59:34.305645 I [30629/30656] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(24f0ab0:63): write -> 63 84      BACKEND_MESSAGE[]:[]RECORDING_LIST_CHANGE DELETE 5170 2013-10-24T22:57:00Z[]:[]empty
2013-10-27 20:59:41.391440 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:240 (ErrorHandler) - MythSocket(24f0ab0:63): calling m_callback->error() err: The remote host closed the connection
2013-10-27 20:59:41.391461 D [30629/30656] MythSocketThread(-1) mythsocket.cpp:258 (DisconnectHandler) - MythSocket(24f0ab0:-1): calling m_callback->connectionClosed()
2013-10-27 20:59:41.391485 I [30629/30656] MythSocketThread(-1) mythcorecontext.cpp:1221 (dispatch) - MythEvent: LOCAL_RECONNECT_TO_MASTER
2013-10-27 20:59:42.391580 I [30629/30629] CoreContext mythsocket.cpp:92 (MythSocket) - MythSocket(25c01c0:-1): MythSocket(-1, 0x24ed150) ctor
2013-10-27 20:59:42.397763 N [30629/30629] CoreContext mainserver.cpp:6204 (reconnectTimeout) - Connecting to master server: 192.168.1.200:6543
2013-10-27 20:59:42.397994 I [30629/1039] MythSocketThread(-1) mythsocket.cpp:645 (ConnectToHostReal) - MythSocket(25c01c0:-1): attempting connect() to (192.168.1.200:6543)
2013-10-27 20:59:42.398416 D [30629/1039] MythSocketThread(-1) mythsocket.cpp:225 (ConnectHandler) - MythSocket(25c01c0:82): calling m_callback->connected()
2013-10-27 20:59:42.398432 I [30629/1039] MythSocketThread(-1) mythsocket.cpp:654 (ConnectToHostReal) - MythSocket(25c01c0:82): Connected to (192.168.1.200:6543)
2013-10-27 20:59:42.399489 N [30629/30629] CoreContext mainserver.cpp:6214 (reconnectTimeout) - Connected successfully
2013-10-27 20:59:42.399642 I [30629/1039] MythSocketThread(-1) mythsocket.cpp:721 (WriteStringListReal) - MythSocket(25c01c0:82): write -> 82 615     ANN SlaveBackend raptor 192.168.1.206[]:[]NASCAR Racing[]:[]Sprint Cup: Goody's Headache Relief Shot 500[]:[]From Martinsville Speedway in Martinsville, Va.[]:[]0[]:[]0[]:[][]:[]Sports event[]:[]5401[]:[]1401[]:[]ESPNHD[]:[]ESPNHD[]:[]/mythtv/recordings/area2/TVRecordings/5401_20131027172900.mpg[]:[]0[]:[]1382895000[]:[]1382909400[]:[]0[]:[]raptor[]:[]4[]:[]21[]:[]18[]:[]1[]:[]-2[]:[]769[]:[]4[]:[]15[]:[]6[]:[]1382894940[]:[]1382920800[]:[]1048576[]:[]Default[]:[][]:[]EP00554465[]:[]EP005544653742[]:[][]:[]1382881272[]:[]0[]:[]2013-10-27[]:[]Default[]:[]0[]:[]0[]:[]Default[]:[]0[]:[]1[]:[]0[]:[]0[]:[]0[]:[]0
2013-10-27 20:59:42.830975 D [30629/1039] MythSocketThread(-1) mythsocket.cpp:240 (ErrorHandler) - MythSocket(25c01c0:82): calling m_callback->error() err: The remote host closed the connection
2013-10-27 20:59:42.830997 D [30629/1039] MythSocketThread(-1) mythsocket.cpp:258 (DisconnectHandler) - MythSocket(25c01c0:-1): calling m_callback->connectionClosed()
2013-10-27 20:59:42.831027 W [30629/1039] MythSocketThread(-1) mainserver.cpp:5916 (connectionClosed) - MainServer: Unknown socket closing MythSocket(0x25c01c0)
2013-10-27 20:59:42.831038 E [30629/1039] MythSocketThread(-1) mythsocket.cpp:798 (ReadStringListReal) - MythSocket(25c01c0:-1): ReadStringList: Connection died.
2013-10-27 20:59:42.831075 E [30629/30629] CoreContext mythsocket.cpp:353 (SendReceiveStringList) - MythSocket(25c01c0:-1): No response.
2013-10-27 20:59:42.831082 E [30629/30629] CoreContext mainserver.cpp:6251 (reconnectTimeout) - MainServer: Failed to open master server socket, timeout
2013-10-27 20:59:43.831167 I [30629/30629] CoreContext mythsocket.cpp:92 (MythSocket) - MythSocket(24a9950:-1): MythSocket(-1, 0x24ed150) ctor
2013-10-27 20:59:43.831289 N [30629/30629] CoreContext mainserver.cpp:6204 (reconnectTimeout) - Connecting to master server: 192.168.1.200:6543
2013-10-27 20:59:43.836890 I [30629/1044] MythSocketThread(-1) mythsocket.cpp:645 (ConnectToHostReal) - MythSocket(24a9950:-1): attempting connect() to (192.168.1.200:6543)
2013-10-27 20:59:43.837631 D [30629/1044] MythSocketThread(-1) mythsocket.cpp:240 (ErrorHandler) - MythSocket(24a9950:-1): calling m_callback->error() err: Connection refused
2013-10-27 20:59:43.837649 E [30629/1044] MythSocketThread(-1) mythsocket.cpp:661 (ConnectToHostReal) - MythSocket(24a9950:-1): Failed to connect to (192.168.1.200:6543) Connection refused
2013-10-27 20:59:43.837676 N [30629/30629] CoreContext mainserver.cpp:6208 (reconnectTimeout) - Connection to master server timed out.

Attachments (1)

segfault.txt (10.5 KB) - added by bob.havlin@… 6 years ago.
mythbackend logfile showing segfault

Download all attachments as: .zip

Change History (8)

comment:1 Changed 6 years ago by skd5aner <skd5aner@…>

Sorry, forgot to mention that I recently tried to update my upstart script and it's not working, so I'm manually launching mythbackend from the command line with:

LANG=$LANG /usr/local/bin/mythbackend -v socket,network --logpath=/var/log/mythtv --user mythtv --daemon

comment:2 Changed 6 years ago by stuartm

Milestone: unknown0.27.1
Priority: minorblocker

This needs some attention, it's affecting a few people, but I'm just a little busy atm.

I believe it may be socket related and specific to slave backends, possibly introduced by the MythSocket? changes? The more eyes we can get on it the better.

comment:3 Changed 6 years ago by bob.havlin@…

I recently started experiencing occasional SegFaults? when recordings start with similar messages as in this ticket.

I am running mythbackend version: fixes/0.26 [v0.26.1-28-g3beccab]

See attached logfile.

Changed 6 years ago by bob.havlin@…

Attachment: segfault.txt added

mythbackend logfile showing segfault

comment:4 in reply to:  3 Changed 6 years ago by bob.havlin@…

See segfault on line 9.

In my case, there is only the master backend and no slave.

comment:5 Changed 6 years ago by stuartm

Bob, I'm not seeing any relevant similarities between your log and skd5aner's. Can you open a new ticket and provide a backtrace? It appears you may be using a third party client which may or may not be relevant, so include details in the ticket.

skd5aner's segfault is definitely related to slave socket communications with the backend in 0.27 only, not 0.26.

comment:6 Changed 6 years ago by bob.havlin@…

Stuart, thanks for letting me know. I created a new ticket as you suggested:

http://code.mythtv.org/trac/ticket/11969

comment:7 Changed 6 years ago by stuartm

Resolution: Invalid
Status: newclosed

User reported issues were resolved after replacing some hardware, it was noted in IRC before this that certain processes e.g. mythfilldatabase and scheduling was taking an unusually long time to run - hours in the case of mythfilldatabase. This lead to the theory that a faulty hard drive was the root cause. This turned out to be the case.

Note: See TracTickets for help on using tickets.